package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumWiWideInfoStatus {

    INVALID(0, "未开通"),
    VALID(1, "已开通")
    ;

    public static EnumWiWideInfoStatus getEnum(Integer code) {
        for (EnumWiWideInfoStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumWiWideInfoStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
